/*
    Copyright (C) 2005-2009  Erik van Pienbroek

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _PAR2_H_
#define _PAR2_H_

typedef struct Par2 Par2;

#define PAR2_TYPE_OBJECT       (par2_get_type ())
#define PAR2(object)           (G_TYPE_CHECK_INSTANCE_CAST ((object), PAR2_TYPE_OBJECT, Par2))
#define PAR2_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), PAR2_TYPE_OBJECT, Par2Class))
#define IS_PAR2(object)        (G_TYPE_CHECK_INSTANCE_TYPE ((object), PAR2_TYPE_OBJECT))
#define IS_PAR2_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), PAR2_TYPE_OBJECT))
#define PAR2_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), PAR2_TYPE_OBJECT, Par2Class))

gboolean      par2_initialize(char **errmsg);
Par2         *par2_new(void);
void          par2_destroy(Par2 *obj);
gboolean      par2_repair_files(Par2 *obj, const char *directory, const char *par2filename);

#endif /* _PAR2_H_ */
