/*
    Copyright (C) 2005-2009  Erik van Pienbroek

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _PLUGIN_PAR2_H_
#define _PLUGIN_PAR2_H_

#include "nntpgrab_plugin_par2.h"

typedef struct _plugin_par2_exported_funcs {
    int              (*get_version) (void);
    gboolean         (*repair_files) (const char *directory, const char *par2filename);
} PluginPar2ExportedFuncs;

typedef gboolean (*plugin_par2_init_func) (PluginPar2ImportedFuncs funcs);

#endif /* _PLUGIN_PAR2_H_ */
